Bug 8586 - MouseSystems mouse mishaps
MouseSystems mouse mishaps
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 2000-01-18 20:14 EST by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-03-07 13:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2000-01-18 20:14:55 EST
There are 3 problems with the installer and MouseSystems mouses:
-it doesn't detect them, and thus falls back to text mode, what about a
 nice text screen on mouseprobe failing saying:
 The installer couldn't probe your mouse, please make sure your mouse is
 properly connected. If it has a 2-3 or ms-pc switch on the bottom set
 this switch to ms or 2. After making sure your mouse is properly setup
 choice "retry". If you choice "continue with textmode install" the
 install will continue in textmode.
-although I put my mouse in 2 button mode to get the graphical installer,
I  want to use it in 3 button mouse mode in real life, so with the mouse
 selection I selected MouseSystems as mousetype, after this I didn't need
 to throw the switch, this could be concidered both a bug and a feature.
 It is possible to change the X mouse type on the fly (XF86Setup does it)
 then you have to move the switch and all is dandy, but do we want this?
-after the install gpm was installed which MouseSystems as mousetype as
 I selected during the install, but X still was configured for a Microsoft
 serial mouse.
Comment 1 Hans de Goede 2000-02-01 05:11:59 EST
The last problem is probably related to the imps2 mouse problems, if you choose
an imps2 mouse in the graphical installer, then gpm is configured for this, but
X iis still configured for generic PS2. See bug: 8754
Comment 2 Hans de Goede 2000-03-07 13:34:59 EST
The last problem (choose MouseSystems mouse, get Microsoft in XF86Config) was
very probably the same problem as the IMPS/2 problem reported in bug 8754.

Atleast now that bug 8754 has been fixed, this problem is gone.

The second "problem" is fixed too, if I choice a MouseSystems mouse now, I need
to throw the switch to MouseSystems in the next screen, so to installer changes
it on the fly now.

Afaik mousesytems mouse can't be probed, so my current mouse-sytems install
looks like:
-set mouse in 2 button (M$) mode
-start the installer
-select MouseSystems
-click next
-set mouse in 3 button (Mousesystems) mode, since this is wat X is talking now.

This works for me, and you have todo the same sorta trickery to get win9x to
install. (Actually you have to download seperate drivers to get the 3 button
mode to work so thats worse).

So all in all I concider this bug fixed in the 4 March snapshot, so I'm closing

Note You need to log in before you can comment on or make changes to this bug.